Support tickets API
25 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.
| Method | Path | Description |
|---|---|---|
GET |
/api/support/ |
List Tickets Query: status, priority, assignee_id, team, channel, sentiment. |
POST |
/api/support/ |
Create Ticket Accepts a JSON body. |
GET |
/api/support/analytics |
Support Analytics |
POST |
/api/support/kb-articles |
Create Kb Article Accepts a JSON body. |
GET |
/api/support/macros |
List Macros Query: include_inactive. |
POST |
/api/support/macros |
Create Macro Accepts a JSON body. |
PATCH |
/api/support/macros/{macro_id} |
Update Macro Accepts a JSON body. |
DELETE |
/api/support/macros/{macro_id} |
Delete Macro |
POST |
/api/support/macros/{macro_id}/render |
Render Macro Query: ticket_id. |
POST |
/api/support/my-request |
Create My Request Accepts a JSON body. |
GET |
/api/support/routing |
Get Routing |
PUT |
/api/support/routing |
Update Routing Accepts a JSON body. |
POST |
/api/support/sla/sweep |
Sla Sweep |
GET |
/api/support/stats |
Support Stats |
GET |
/api/support/{ticket_id} |
Get Ticket |
PATCH |
/api/support/{ticket_id} |
Update Ticket Accepts a JSON body. |
POST |
/api/support/{ticket_id}/assign |
Assign Accepts a JSON body. |
POST |
/api/support/{ticket_id}/csat |
Submit Csat Accepts a JSON body. |
POST |
/api/support/{ticket_id}/draft |
Draft Accepts a JSON body. |
POST |
/api/support/{ticket_id}/kb-draft |
Kb Draft |
POST |
/api/support/{ticket_id}/messages |
Add Message Accepts a JSON body. |
POST |
/api/support/{ticket_id}/reopen |
Reopen |
POST |
/api/support/{ticket_id}/resolve |
Resolve Accepts a JSON body. |
POST |
/api/support/{ticket_id}/summarize |
Summarize |
POST |
/api/support/{ticket_id}/triage |
Retriage |
Try it
The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.